CCWDSaver Class Reference
Uncategorized

A Scope based helper class to save and restore the current working directory. More...

`#include <mia/core/utils.hh>`

## Public Member Functions

| CCWDSaver ()
| ~CCWDSaver ()

## Detailed Description

A Scope based helper class to save and restore the current working directory.

A helper class that stores the current working directory on construction and goes back to the it when the class intance is destroyed.

Definition at line 43 of file utils.hh.

## Constructor & Destructor Documentation

## CCWDSaver()

CCWDSaver::CCWDSaver | ( |  | ) |

## ~CCWDSaver()

CCWDSaver::~CCWDSaver | ( |  | ) |

The documentation for this class was generated from the following file:

- utils.hh